<?php

namespace App\Exports;

use App\Models\DrivewaySheet;
use App\Models\FuelStock;
use App\Models\SiteRegister;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\ShouldAutoSize;

class WetStockExport implements FromView,ShouldAutoSize
{

    public function view(): View
    {
        $site = SiteRegister::where('id',session()->get('branch_id'))->first();
        $fuels = collect();
        if (!empty($site)) {
            $fuels = $site->fuels->unique()->pluck('fuel_name','id');
        }
        $drivewaysheet = DrivewaySheet::query()->where('branch_id',session()->get('branch_id'))->get();
        $query = FuelStock::query()->where('branch_id',session()->get('branch_id'));



        $fuel_stock = $query->get();
        $date = $fuel_stock->pluck('date')->unique();
        return view('exports.wetStock',compact('fuels','date','fuel_stock','drivewaysheet'));
    }
}
