<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\Auditable;

class Cashier extends Model
{
  use HasFactory;
  use Auditable;

  protected $fillable = ['name','surname', 'detail','branch_id','status','type'];

  public function cashier_sales()
  {
      return $this->hasMany(\App\Models\CashierSale::class);
  }

}
