<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\Auditable;

class drivewayAccount extends Model
{
    use HasFactory;
    use Auditable;

    public $table = 'driveway_accounts';

    protected $guarded = [];

    public function account_info()
    {
        return $this->belongsTo(\App\Models\AccountInfo::class,'account_info_id');
    }
}
