<!DOCTYPE html>
<html lang="en">
  <head>
    @include('layouts.partials.head') 
  </head>

  <body>

@include('layouts.partials.nav')
@include('layouts.partials.header')

<div class="container-fluid">
    @if(session('message'))
        <div class="row mb-2">
            <div class="col-lg-12">
                <div class="alert alert-success" role="alert">{{ session('message') }}</div>
            </div>
        </div>
    @endif
    @if($errors->count() > 0)
        <div class="alert alert-danger session-alert">
            <ul class="list-unstyled">
                @foreach($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
    @yield('content')

</div>
 @include('layouts.partials.footer-scripts')


  </body>
</html>
