<!-- jQuery -->
<script src="{{asset('js/jquery-3.5.1.min.js')}}"></script>

<!-- Bootstrap Core JS -->
<script src="{{asset('js/popper.min.js')}}"></script>
<script src="{{asset('js/bootstrap.min.js')}}"></script>

<!-- Slimscroll JS -->
<script src="{{asset('js/jquery.slimscroll.min.js')}}"></script>
@if(Route::is(['admin.home','/admin']))
<!-- Chart JS -->
<script src="{{asset('js/Chart.min.js')}}"></script>
<!--<script src="{{asset('js/line-chart.js')}}"></script>-->
@endif
<!-- Select2 JS -->
<script src="{{asset('js/select2.min.js')}}"></script>

<script src="{{asset('js/jquery-ui.min.js')}}"></script>
<script src="{{asset('js/jquery.ui.touch-punch.min.js')}}"></script>

<!-- Datetimepicker JS -->
<script src="{{asset('js/moment.min.js')}}"></script>
<script src="{{asset('js/bootstrap-datetimepicker.min.js')}}"></script>

<!-- Calendar JS -->
<script src="{{asset('js/jquery-ui.min.js')}}"></script>
<script src="{{asset('js/fullcalendar.min.js')}}"></script>
<script src="{{asset('js/jquery.fullcalendar.js')}}"></script>

<!-- Multiselect JS -->
<script src="{{asset('js/multiselect.min.js')}}"></script>

<!-- Datatable JS -->
<script src="{{asset('js/jquery.dataTables.min.js')}}"></script>
<script src="{{asset('js/dataTables.bootstrap4.min.js')}}"></script>
<script src="{{asset('js/dataTables.buttons.min.js')}}"></script>
<script src="{{asset('js/buttons.flash.min.js')}}"></script>
<script src="{{asset('js/buttons.html5.min.js')}}"></script>
<script src="{{asset('js/buttons.print.min.js')}}"></script>
<script src="{{asset('js/buttons.colVis.min.js')}}"></script>
<script src="{{asset('js/pdfmake.min.js')}}"></script>
<script src="{{asset('js/vfs_fonts.js')}}"></script>
<script src="{{asset('js/jszip.min.js')}}"></script>
<script src="{{asset('js/dataTables.select.min.js')}}"></script>
<!-- Summernote JS -->
<script src="{{asset('plugins/summernote/dist/summernote-bs4.min.js')}}"></script>

{{-- Confirm Js --}}
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.js"></script>

@toastr_js
@toastr_render
<!-- Data tables  -->

<script>
    $(function() {
        let copyButtonTrans = '{{ trans('global.datatables.copy') }}'
        let csvButtonTrans = '{{ trans('global.datatables.csv') }}'
        let excelButtonTrans = '{{ trans('global.datatables.excel') }}'
        let pdfButtonTrans = '{{ trans('global.datatables.pdf') }}'
        let printButtonTrans = '{{ trans('global.datatables.print') }}'
        let colvisButtonTrans = '{{ trans('global.datatables.colvis') }}'
        let selectAllButtonTrans = '{{ trans('global.select_all') }}'
        let selectNoneButtonTrans = '{{ trans('global.deselect_all') }}'


        $.extend(true, $.fn.dataTable.Buttons.defaults.dom.button, { className: 'btn  btn-xs m-r-5' })
        $.extend(true, $.fn.dataTable.defaults, {
            columnDefs: [{
                orderable: false,
                className: 'select-checkbox',
                targets: 0
            }, {
                orderable: false,
                searchable: false,
                targets: -1
            }],
            select: {
                style:    'multi+shift',
                selector: 'td:first-child'
            },
            order: [],
            dom: 'lBfrtip<"actions">',
            buttons: [
            {
              extend: 'selectAll',
              className: 'bg-inverse-default',
              text: selectAllButtonTrans,
              exportOptions: {
                columns: ':visible'
              },
              action: function(e, dt) {
                // e.preventdefault();
                dt.rows().deselect();
                dt.rows({ search: 'applied' }).select();
              }
            },
            {
              extend: 'selectNone',
              className: 'bg-inverse-default',
              text: selectNoneButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'copy',
              className: 'bg-inverse-default',
              text: copyButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'csv',
              className: 'bg-inverse-default',
              text: csvButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'excel',
              className: 'bg-inverse-default',
              text: excelButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'pdf',
              className: 'bg-inverse-default',
              text: pdfButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'print',
              className: 'bg-inverse-default',
              text: printButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            },
            {
              extend: 'colvis',
              className: 'bg-inverse-default',
              text: colvisButtonTrans,
              exportOptions: {
                columns: ':visible'
              }
            }
          ],
      });
    });

</script>
<script>
    $(document).ready(function () {
    $(".notifications-menu").on('click', function () {
    if (!$(this).hasClass('open')) {
        $('.notifications-menu .label-warning').hide();
        $.get('/admin/user-alerts/read');
    }
});
});

</script>

<!-- Custom JS -->
<script src="{{asset('js/main.js')}}"></script>
<script src="{{asset('js/app.js')}}"></script>


<!-- Website Setting js -->

<script>
    var right_click, inspect, is_gotop, google_analysis, fb_pixel = null;
    var url = "{{env('APP_URL')}}";
</script>
@if(isset($settings['right_click']) && $settings['right_click'] == 1)
    <script>var right_click = 1;</script>
@endif
@if(isset($settings['inspect']) && $settings['inspect'] == 1)
    <script>var inspect = 1;</script>
@endif
@if(isset($settings['google_analysis']) && $settings['google_analysis'] != null)
    <script>var google_analysis = 1; var google_analysis_value = {!!json_encode($settings['google_analysis'])!!};</script>
@endif
@if(isset($settings['fb_pixel']) && $settings['fb_pixel'] != null)
    <script>var fb_pixel = 1; var fb_pixel_value = {!!json_encode($settings['fb_pixel'])!!};</script>
@endif
<script src="{{ asset('js/homesetting.js') }}"></script>

@yield('scripts')
