<!DOCTYPE html>
<html lang="en">
    <head>
        {{-- Metadata  --}}
        <meta name="description" content="{{ isset($settings['meta_desc']) ? $settings['meta_desc'] : ''}}" />
        <meta name="keywords" content="{{ isset($settings['keywords']) ? $settings['keywords'] : ''}}" />
        <meta name="csrf-token" content="{{ csrf_token() }}">

        {{-- Website Title --}}
        <title>{{ isset($settings['website_title']) ? $settings['website_title'] : ''}} @yield('title') </title>

        {{-- Favicon --}}
        <link rel="shortcut icon" href="{{isset($settings['favicon']) && $settings['favicon'] != null  ? asset('images/general/'. $settings['favicon']) : asset('assets/images/favicon.ico') }}">

		<!-- Bootstrap CSS -->
        <link rel="stylesheet" href="{{asset('css/bootstrap.min.css')}}">

		<!-- Fontawesome CSS -->
        <link rel="stylesheet" href="{{asset('css/font-awesome.min.css')}}">

		<!-- Lineawesome CSS -->
        <link rel="stylesheet" href="{{asset('css/line-awesome.min.css')}}">

        	<!-- Select2 CSS -->
		<link rel="stylesheet" href="{{asset('css/select2.min.css')}}">

		<!-- Datetimepicker CSS -->
		<link rel="stylesheet" href="{{asset('css/bootstrap-datetimepicker.min.css')}}">

		<!-- Calendar CSS -->
		<link rel="stylesheet" href="{{asset('css/fullcalendar.min.css')}}">

        <!-- Tagsinput CSS -->
		<link rel="stylesheet" href="{{asset('plugins/bootstrap-tagsinput/bootstrap-tagsinput.css')}}">

		<!-- Datatable CSS -->
        <link href="{{asset('css/jquery.dataTables.min.css')}}" rel="stylesheet" />
        <link href="{{asset('css/dataTables.bootstrap4.min.css')}}" rel="stylesheet" />
        <link href="{{asset('css/buttons.dataTables.min.css')}}" rel="stylesheet" />
        <link href="{{asset('css/select.dataTables.min.css')}}" rel="stylesheet" />

		<!-- Chart CSS -->
		<link rel="stylesheet" href="{{asset('plugins/morris/morris.css')}}">

		<!-- Summernote CSS -->
		<link rel="stylesheet" href="{{asset('plugins/summernote/dist/summernote-bs4.css')}}">

		<!-- Main CSS -->
        <link rel="stylesheet" href="{{asset('css/style.css')}}">

        {{-- Confirm box --}}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-confirm/3.3.2/jquery-confirm.min.css">

        @yield('styles')
        @toastr_css

    </head>
