<?php

namespace App\Models;

use App\Models\AllState;
use Illuminate\Database\Eloquent\Model;

class AllCountry extends Model
{
    protected $fillable = [
        'id', 'iso', 'name', 'nicename', 'iso3', 'numcode', 'phoncode',
    ];

    public function states()
    {
        return $this->hasMany(AllState::class, 'country_id');
    }
}
